<?php defined('SYSPATH') or die('No direct script access.');

class Model_Faculties extends Model
{
    // todo: should generate an array of Model_Faculty
    public static function load() {
        $sql = "CALL `GetFaculties`(); ";
        return DB::query(Database::SELECT, $sql)
            ->execute()->as_array();
    }

    public static function getDepartments($facultyID = 0) {
        $sql = 'CALL `GetDepartments`(:faculty)';
        $result = DB::query(Database::SELECT, $sql)
            ->param(':faculty', $facultyID)
            ->execute();
        
        $list = [];
        foreach ($result as $row) {
            if (empty($row['Name']))
                $row['Name'] = 'Без кафедры';
            
            $list[] = $row;
        }
        
        return $list;
    }
}
